About This Site

I'm a Tech Guy for over 30 Years Knowledge of Computers, Networks, PC Gadgets. This site is to be used to share some of my knowledge and reviews
If you find info useful from this site then please consider to Donate

Sorry, you are trying to use Google Calendar with a browser that isn’t currently supported.

A Client was getting this error when opening Google Calendar in IE8. I found this in a forum.

It appears to be a misbehaving Chrome Frame plugin. Uninstall the Google Chrome Frame plugin from the internet options/manage add ons panel. This solved the problem for a user who I provide tech support to.

Print Friendly, PDF & Email

1 comment to Sorry, you are trying to use Google Calendar with a browser that isn’t currently supported.

  • William Buller

    I receive this error using Firefox on Ubuntu. I hit cancel in the error box and proceed to the calendar, which appears to function fine.

Leave a Reply

You can use these HTML tags

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>